function DstateVarDt = odeLorenz(t,stateVar,param)
%ODELORENZ Lorenz equation, famous for its chaotic attractor
% see its wikipedia page

x = stateVar(1);
y = stateVar(2);
z = stateVar(3);

dxdt = param.sigma*(y-x);
dydt = x*(param.rho-z)-y;
dzdt = x*y-param.beta*z;

DstateVarDt = [dxdt; dydt; dzdt];

end